function set_parameters!(data::Dict; context=context)
    params = context.work.params
    symboltable = context.symboltable
    for d in keys(data)
        try
            k = symboltable[d].orderintype
            params[k] = data[d]
        catch
            println("Warning: in set_parameters!, $d isn't a parameter")
        end
    end
end

